#include "Render.h"

using namespace TestFrameWork;

Render::Render(IRenderCallablePtr render, ScenePtr scene)	:	m_render(render), m_scene(scene)
{
}

Render::~Render(void)
{
}

void Render::Initialize(void)
{
	m_render->Initialize();
}

void Render::Setup(void)
{
	m_render->Setup();
}

void Render::Run(float elapsedTime)
{
	m_scene->Lock();

	m_render->Run(elapsedTime);

	m_scene->Unlock();
}